# Configuration

{% code overflow="wrap" %}

```
Config = {}

Config.Search_Radius = 30.0                 -- Maximum distance to search for a traffic light in front of the vehicle
Config.Light_Reset_Distance = 50.0          -- Distance from an activated light to reset it
Config.Check_Delay_Active = 100             -- Loop delay (ms) when in an emergency vehicle with siren on (fast check)
Config.Check_Delay_Inactive = 1000          -- Loop delay (ms) when not actively searching (slow check)
Config.Permitted_Veh_Class = 18             -- Vehicle class for Emergency vehicles (18)
Config.Direction_Threshold = 0.8            -- [!!DO NOT TOUCH UNLESS YOU KNOW WHAT YOU'RE DOING!!] Direction Threshold (1.0 = perfect forward). 0.8 restricts the angle to a cone directly in front (~36 degrees off-center).

-- Traffic light model hashes
Config.Light_Models = {
    0x3E2B73A4,                             -- prop_traffic_01a
    0x336E5E2A,                             -- prop_traffic_01b
    0xD8EBA922,                             -- prop_traffic_01d
    0xD4729F50,                             -- prop_traffic_02a
    0x272244B2,                             -- prop_traffic_02b
    0x33986EAE,                             -- prop_traffic_03a
    0x2323CDC5,                             -- prop_traffic_03b
}

Config.Debug = false                        -- [!!Would not recomend enabling in live environments!!] This just helps with debugging phases in the script
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mdevelopment.xyz/m-development-docs/documentation/md-opticom/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
